Name:           truecommons
Version:        2.3.3
Release:        15%{?dist}
Summary:        TrueCommons
License:        EPL
URL:            https://%{name}.java.net

# hg clone https://hg.java.net/hg/truecommons~v1 && cd truecommons~v1/
# hg archive -r truecommons-2.3.3 truecommons-2.3.3.tar.gz -X ".hg*"
Source0:        %{name}-%{version}.tar.gz
Source1:        eclipse-1.0.txt
BuildArch: noarch

BuildRequires: maven-local
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(net.java.truecommons:truecommons-parent:pom:)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.jsr-305:jsr-305:pom:)
BuildRequires: mvn(org.netbeans:jemmy)
BuildRequires: mvn(com.google.code.findbugs:annotations)

%description
Common components for open source projects

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%package annotations
Summary:        TrueCommons Annotations

%description annotations
Provides common annotations with processors. You should use
the scope "provided" when adding this module as a dependency.

%package cio
Summary:        TrueCommons Container I/O

%description cio
Provides container I/O components.

%package io
Summary:        TrueCommons I/O

%description io
Provides common I/O components.

%package jmx
Summary:        TrueCommons JMX

%description jmx
Provides service locators and components for safely
interfacing with JMX in a library module.

%package key
Summary:        TrueCommons KeyManager

%description key
KeyManager modules provide secret key management.

%package key-console
Summary:        TrueCommons KeyManager Console

%description key-console
Prompts the user for passwords via a console based dialog, if available.

%package key-default
Summary:        TrueCommons KeyManager Default

%description key-default
The KeyManager implementation in this module fails to resolve any keys.
Its priority is set to Integer.MIN_VALUE, so any other KeyManager
module on the class path will take precedence.

%package key-disable
Summary:        TrueCommons KeyManager Disable

%description key-disable
Putting this module on the class path effectively disables any key
management, regardless of any other KeyManager module which may be present
on the class path.

%package key-hurlfb
Summary:        TrueCommons KeyManager HurlingWindowFeedback

%description key-hurlfb
Provides visible and audible feedback by hurling the Swing
based dialog whenever the users enters a wrong password.

%package key-spec
Summary:        TrueCommons KeyManager Specification

%description key-spec
Specifies a pluggable API for key management.

%package key-swing
Summary:        TrueCommons KeyManager Swing

%description key-swing
Prompts the user for passwords via a Swing based dialog, if available.

%package logging
Summary:        TrueCommons Logging

%description logging
Provides a simple adapter to add support for localized messages to SLF4J.

%package services
Summary:        TrueCommons Services

%description services
Provides service location which is designed to work well in both JEE
and OSGi environments and perfectly fits the dependency injection idiom
with support for JSR 330.

%package shed
Summary:        TrueCommons Shed

%description shed
Hosts small but useful tools and utilities that didn't fit anywhere else.

%prep
%setup -q

cp %{SOURCE1} .

# Add jsr-305 as dependency for annotations and io
%pom_add_dep org.jsr-305:ri

# Pull our scala stuff used for tests
%pom_remove_dep org.scala-lang:scala-library %{name}-io
rm -rf %{name}-io/src/{main,test}/scala
rm -rf %{name}-shed/src/test/scala
rm -rf %{name}-cio/src/test/scala
rm -rf %{name}-logging/src/test/scala
rm -rf %{name}-jmx/src/test/scala
rm -rf %{name}-services/src/test/scala

#Disable macosx specific module
%pom_disable_module %{name}-key-macosx %{name}-key

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%dir %{_javadir}/%{name}
%doc eclipse-1.0.txt

%files javadoc -f .mfiles-javadoc
%doc eclipse-1.0.txt

%files annotations -f .mfiles-%{name}-annotations
%doc eclipse-1.0.txt

%files io -f .mfiles-%{name}-io
%doc eclipse-1.0.txt

%files shed -f .mfiles-%{name}-shed
%doc eclipse-1.0.txt

%files logging -f .mfiles-%{name}-logging
%doc eclipse-1.0.txt

%files cio -f .mfiles-%{name}-cio
%files jmx -f .mfiles-%{name}-jmx
%files key -f .mfiles-%{name}-key
%files key-console -f .mfiles-%{name}-key-console
%files key-default -f .mfiles-%{name}-key-default
%files key-disable -f .mfiles-%{name}-key-disable
%files key-hurlfb -f .mfiles-%{name}-key-hurlfb
%files key-spec -f .mfiles-%{name}-key-spec
%files key-swing -f .mfiles-%{name}-key-swing
%files services -f .mfiles-%{name}-services

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 10 2014 Gerard Ryan <galileo@fedoraproject.org> - 2.3.3-9
- Add BR on logback-classic
- Fix BR on jsr-305 and truecommons-parent

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 28 2014 Gerard Ryan <galileo@fedoraproject.org> - 2.3.3-6
- RHBZ-1068569: Switch to java-headless requires

* Sat Dec 28 2013 Gerard Ryan <galileo@fedoraproject.org> - 2.3.3-5
- Rebuild with new findbugs-2.0.3

* Mon Nov 18 2013 Gerard Ryan <galileo@fedoraproject.org> - 2.3.3-2
- RHBZ-1031437: Modifications for review request

* Sat Nov 16 2013 Gerard Ryan <galileo@fedoraproject.org> - 2.3.3-1
- Initial package
